Subject: Re: bug#10838: 24.0.92; package.el shows a misleading version number

From: Tom Tromey <[email-masked]>
Date: Thu, 01 Mar 2012 09:49:59 -0700

>>>>> "Chong" == Chong Yidong <[email-masked]> writes:

>> There is a version of package.el which is available from
>> tromey.com/elpa, which is clearly the starting point for this
>> package.el, which claims to be version 0.9 in the head of the file. The
>> current (and emacs23) versions contain this same version number, despite
>> having significantly different features. This is misleading and
>> remarkably confusing. The version numbers in both the emacs24 and
>> emacs23 versions should be updated to indicate that they contain new
>> features.

Chong> IMO, it's desireable for the package.el in Emacs to retain a version
Chong> number header, just in case there is any package that in turn relies on
Chong> package.el (even though sounds pretty theoretical).  I propose bumping
Chong> the package.el in Emacs to 1.0.  Any objection?

It is fine by me.

FWIW, package.el has a version number so it can be updated using itself.

Tom